Add lipstick color mode. - annna - Annna the nice friendly bot.
HTML git clone git://bitreich.org/annna/ git://enlrupgkhuxnvlhsf6lc3fziv5h2hhfrinws65d7roiv6bfj7d652fid.onion/annna/
DIR Log
DIR Files
DIR Refs
DIR Tags
DIR README
---
DIR commit 0799fbaaca814b98b633ddbf2e6e2714f92019ae
DIR parent 02186ad3b86b62e003c5abe7faabf7fd309c177c
HTML Author: Annna Robert-Houdin <annna@bitreich.org>
Date: Tue, 10 Feb 2026 18:03:01 +0100
Add lipstick color mode.
Diffstat:
M annna-message-common | 7 +++++--
A modules/snout/lipstick-colors.txt | 8 ++++++++
A pick-lipstick-color | 10 ++++++++++
3 files changed, 23 insertions(+), 2 deletions(-)
---
DIR diff --git a/annna-message-common b/annna-message-common
@@ -894,10 +894,13 @@ $'\001'"ACTION slaps ${IRC_USER}"$'\001') annna-say "$(echo -e '\001')ACTION sla
"${IRC_USER}, please slap "*)
slapuser="${IRC_PRIVMSG_TEXT#* slap }"
annna-say "$(echo -e '\001')ACTION slaps ${slapuser} around a bit with a large trout.$(echo -e '\001')";;
-$'\001'"ACTION snouts ${IRC_USER}"$'\001') annna-say "$(echo -e '\001')ACTION snouts ${IRC_CMD_USER} with a red lipstick.$(echo -e '\001')";;
+$'\001'"ACTION snouts ${IRC_USER}"$'\001')
+ lipstickcolor="$(pick-lipstick-color)"
+ annna-say "$(echo -e '\001')ACTION snouts ${IRC_CMD_USER} with a ${lipstickcolor} lipstick.$(echo -e '\001')";;
"${IRC_USER}, please snout "*)
slapuser="${IRC_PRIVMSG_TEXT#* snout }"
- annna-say "$(echo -e '\001')ACTION snouts ${slapuser} with a red lipstick.$(echo -e '\001')";;
+ lipstickcolor="$(pick-lipstick-color)"
+ annna-say "$(echo -e '\001')ACTION snouts ${slapuser} with a ${lipstickcolor} lipstick.$(echo -e '\001')";;
"${IRC_USER}, please show me the mob"*|"${IRC_USER}, what are the mob"*) annna-say "${IRC_CMD_USER}, $(get-cancel-list)";;
"${IRC_USER}, I feel sick"*)
newsstr="$(cd /br/gopher/hypochondria && ./hypochondria -s random)"
DIR diff --git a/modules/snout/lipstick-colors.txt b/modules/snout/lipstick-colors.txt
@@ -0,0 +1,8 @@
+red
+black
+yellow
+blue
+pink
+green
+purple
+white
DIR diff --git a/pick-lipstick-color b/pick-lipstick-color
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if [ -z "${ANNNA_MODBASE}" ];
+then
+ printf "Please set ANNNA_MODBASE.\n" >&2
+ exit 1
+fi
+
+shuf -n 1 "${ANNNA_MODBASE}/snout/lipstick-colors.txt"
+